const AdobeXdIcon = ({ className, width = 24, height = 24 }) => (
  <span className={className}>
    <svg width={width} height={height} viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
      <g>
        <path d="M19.7502 23.0776H4.24985C3.69549 23.0819 3.14572 22.9768 2.63201 22.7684C2.11829 22.56 1.6507 22.2523 1.25599 21.8631C0.861271 21.4738 0.547172 21.0105 0.331658 20.4998C0.116143 19.989 0.00344168 19.4407 0 18.8864L0 4.19191C0.00344168 3.63754 0.116143 3.08929 0.331658 2.57852C0.547172 2.06775 0.861271 1.60447 1.25599 1.2152C1.6507 0.825929 2.11829 0.518294 2.63201 0.309893C3.14572 0.101493 3.69549 -0.00358369 4.24985 0.000673695H19.7502C20.3045 -0.00358369 20.8543 0.101493 21.368 0.309893C21.8817 0.518294 22.3493 0.825929 22.744 1.2152C23.1387 1.60447 23.4528 2.06775 23.6683 2.57852C23.8839 3.08929 23.9966 3.63754 24 4.19191V18.8864C23.9966 19.4407 23.8839 19.989 23.6683 20.4998C23.4528 21.0105 23.1387 21.4738 22.744 21.8631C22.3493 22.2523 21.8817 22.56 21.368 22.7684C20.8543 22.9768 20.3045 23.0819 19.7502 23.0776Z" fill="#FF26BE" />
        <path d="M19.3692 22.0779H4.63C3.67499 22.0835 2.75671 21.7103 2.07632 21.0401C1.39593 20.3699 1.0089 19.4574 1 18.5024V4.57591C1.00902 3.62101 1.39611 2.7086 2.07649 2.03852C2.75686 1.36843 3.67507 0.995298 4.63 1.00084H19.36C20.3154 0.993587 21.2346 1.36616 21.9154 2.03661C22.5961 2.70706 22.9827 3.62047 22.99 4.57591V18.4931C22.9886 18.9665 22.8937 19.435 22.7107 19.8716C22.5278 20.3082 22.2605 20.7044 21.9241 21.0375C21.5877 21.3705 21.1888 21.6339 20.7504 21.8124C20.312 21.991 19.8426 22.0812 19.3692 22.0779Z" fill="#2E001F" />
        <path d="M9.49029 10.8048L12.2904 16.185C12.3403 16.2648 12.3103 16.3451 12.2304 16.3451H10.4904C10.4458 16.3508 10.4006 16.341 10.3624 16.3173C10.3241 16.2936 10.2952 16.2575 10.2804 16.215C9.64029 14.895 8.99045 13.575 8.32029 12.1534H8.30045C7.70045 13.4919 7.04045 14.9033 6.40029 16.2233C6.38428 16.2572 6.35871 16.2856 6.32672 16.3051C6.29474 16.3247 6.25774 16.3344 6.22029 16.3331H4.57029C4.47014 16.3331 4.46045 16.2533 4.51029 16.1947L7.25045 10.9747L4.60029 5.69467C4.58859 5.68324 4.58064 5.66852 4.57749 5.65247C4.57433 5.63642 4.57613 5.61979 4.58263 5.60479C4.58913 5.58978 4.60004 5.5771 4.61391 5.56842C4.62778 5.55975 4.64395 5.55549 4.66029 5.55621H6.38045C6.41873 5.549 6.45832 5.55624 6.49156 5.57653C6.52481 5.59682 6.54936 5.62872 6.56045 5.66606C7.19045 6.98606 7.8306 8.34621 8.4306 9.6759H8.45045C9.0306 8.3559 9.67029 6.98606 10.2906 5.67575C10.3404 5.5959 10.3704 5.54559 10.4706 5.54559H12.0804C12.1603 5.54559 12.1903 5.60559 12.1404 5.68406L9.49029 10.8048ZM12.7801 12.435C12.7801 10.1051 14.33 8.28482 16.79 8.28482C16.9636 8.28125 17.1373 8.28788 17.3101 8.30467V5.65313C17.3101 5.62657 17.3207 5.6011 17.3395 5.58231C17.3583 5.56353 17.3837 5.55298 17.4103 5.55298H18.9901C19.07 5.55298 19.0903 5.58298 19.0903 5.63283V14.8128C19.0844 15.1402 19.101 15.4676 19.1401 15.7927C19.1401 15.8527 19.1203 15.8725 19.0603 15.9025C18.2606 16.2836 17.386 16.4814 16.5001 16.4817C14.3304 16.4933 12.7801 15.1534 12.7801 12.4331V12.435ZM17.3088 9.87344C17.1238 9.80238 16.9267 9.76835 16.7286 9.77329C15.4686 9.77329 14.5884 10.7425 14.5884 12.3533C14.5884 14.1934 15.4884 14.9333 16.6192 14.9333C16.8541 14.9399 17.0881 14.9027 17.3092 14.8234L17.3088 9.87344Z" fill="#FFD9F2" />
      </g>
    </svg>
  </span>
);

export default AdobeXdIcon